## org.apache.mahout.clustering.spectral
Class MatrixDiagonalizeJob

    java.lang.Object
      org.apache.mahout.clustering.spectral.MatrixDiagonalizeJob

    public final class MatrixDiagonalizeJob

extends Object

Given a matrix, this job returns a vector whose i_th element is the sum of all the elements in the i_th row of the original matrix.

Nested Class Summary
`static class` `MatrixDiagonalizeJob.MatrixDiagonalizeMapper`
`static class` `MatrixDiagonalizeJob.MatrixDiagonalizeReducer`

Method Summary
`static Vector` `runJob(org.apache.hadoop.fs.Path affInput, int dimensions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### runJob

    public static Vector runJob(org.apache.hadoop.fs.Path affInput,
                                int dimensions)
                         throws IOException,
                                ClassNotFoundException,
                                InterruptedException

  Throws:
    `IOException`
    `ClassNotFoundException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.